org.apache.fop.afp.fonts

## Class FontRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.fop.afp.fonts.FontRuntimeException

- All Implemented Interfaces:
    Serializable

      public class FontRuntimeException
      extends RuntimeException

  A runtime exception for handling fatal errors in processing fonts.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontRuntimeException(String msg)` Constructs a FontRuntimeException with the specified message.
    `FontRuntimeException(String msg, Throwable t)` Constructs a FontRuntimeException with the specified message wrapping the underlying exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FontRuntimeException

          public FontRuntimeException(String msg)

      Constructs a FontRuntimeException with the specified message.
      Parameters:
        `msg` - the exception mesaage

    - #### FontRuntimeException

          public FontRuntimeException(String msg,
                                      Throwable t)

      Constructs a FontRuntimeException with the specified message wrapping the underlying exception.
      Parameters:
        `msg` - the exception mesaage
        `t` - the underlying exception

Copyright © 2023 Apache Software Foundation. All rights reserved.